<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 17/10/2019 - Created.
 -->
<!-- VTT WOA List View WOA Table -->
<template>
	<div class="slds-scrollable_x" style="width: 100%;">
		<table class="slds-table slds-table_cell-buffer slds-table_bordered">
			<thead>
			<tr class="slds-line-height_reset">
				<th class="slds-text-align_right disable_padding-left disable_padding-right "
					scope="col"
					if:true={isPrivilegedUser}
					style="width:1.0rem">
					<span class="slds-assistive-text">Choose a row</span>
					<div class="slds-th__action slds-th__action_form">
						<lightning-input type="checkbox" label="" variant="label-hidden" if:true={allSelected} onchange={handleSelectAll} checked></lightning-input>
						<lightning-input type="checkbox" label="" variant="label-hidden" if:false={allSelected} onchange={handleSelectAll}></lightning-input>
					</div>
				</th>
				<th scope="col">
					<div title="Work Order Activity">Work Order Activity</div>
				</th>
				<th scope="col">
					<div title="Location">Location</div>
				</th>
				<th scope="col">
					<div title="Scheduled">Scheduled</div>
				</th>
				<th scope="col">
					<div title="Vendor">Vendor</div>
				</th>
				<th scope="col">
					<div title="Assigned">Assigned</div>
				</th>
				<th scope="col">
					<div title="Status">Status</div>
				</th>
			</tr>
			</thead>
			<tbody>
			<tr class={woa.rowClass} for:each={woas} for:item="woa" for:index="woaIndex" key={woa}>
				<td scope="row"
					if:true={isPrivilegedUser}
					role="gridcell"
					class="padding-left_force slds-cell-wrap">
					<lightning-input type="checkbox" label="" name={woaIndex} data-record-index={woaIndex} variant="label-hidden" if:true={woa.selected} onchange={handleSelection} checked></lightning-input>
					<lightning-input type="checkbox" label="" name={woaIndex} data-record-index={woaIndex} variant="label-hidden" if:false={woa.selected} onchange={handleSelection}></lightning-input>
				</td>
				<td role="gridcell"
					data-label="Work Order Activity">
					<div class="slds-cell-wrap" title={woa.Name}>
						<c-hog_navigation-link label={woa.Name}
											   title={woa.Name}
											   type="standard__recordPage"
											   record-id={woa.Id}
											   object-api-name="Work_Order_Activity__c"
											   action-name="view"></c-hog_navigation-link>
					</div>
				</td>
				<td role="gridcell"
					data-label="Location">
					<div class="slds-cell-wrap" title={woa.Functional_Location_Description_SAP__c}>{woa.Functional_Location_Description_SAP__c}</div>
				</td>
				<td role="gridcell"
					data-label="Scheduled">
					<div class="slds-cell-wrap" title={woa.Scheduled_Start_Date__c}>
						<lightning-formatted-date-time value={woa.Scheduled_Start_Date__c}
													   year="numeric"
													   month="short"
													   day="2-digit"
													   hour="2-digit"
													   time-zone={timeZone}
													   minute="2-digit"></lightning-formatted-date-time>
					</div>
				</td>
				<td role="gridcell"
					data-label="Vendor">
					<div class="slds-cell-wrap" title={woa.vendorName}>
						<c-hog_navigation-link label={woa.vendorName}
											   title={woa.vendorName}
											   type="standard__recordPage"
											   record-id={woa.Assigned_Vendor__c}
											   object-api-name="Account"
											   action-name="view"></c-hog_navigation-link>
					</div>
				</td>
				<td role="gridcell"
					data-label="Assigned">
					<div class="slds-cell-wrap" title={woa.Assigned_Text__c}>{woa.Assigned_Text__c}</div>
				</td>
				<td role="gridcell"
					data-label="Status">
					<div class="slds-cell-wrap" title={woa.Status__c}>{woa.Status__c}</div>
				</td>
			</tr>
			</tbody>
		</table>
	</div>
</template>